Bug 209146 - X crash with KDE transparency on, while cp file in yakuake
X crash with KDE transparency on, while cp file in yakuake
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 11:55 EDT by Adrian "Adi1981" P.
Modified: 2008-05-06 20:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:55:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian "Adi1981" P. 2006-10-03 11:55:38 EDT
Description of problem:
After turning on transparency of windows in KDE, X sometimes crashes.
I've discover, that it happens when I open some application, then start yakuake
and hit F12 to show yakuake window, so that opened application will become
transparent, then I start mc (in yakuake) and start to copy some file. During
the copying process I hit F12 key once again, to hide yakuake window, and after
then X crashes.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.1-43.fc6

How reproducible:
always

Steps to Reproduce:
1. Turn on transparency in KDE & reboot
2. Set to unactive window some transparency
3. Start some application, eg. seamonkey
4. Start yakuake
5. Open yakuake (F12) - seamonkey will became transparent - and start mc
6. Start to copy some file
7. During copying hit F12 key to hide yakuake window
  
Actual results:
/.../
(**) RADEON(0): RADEONSaveScreen(2)
BOGUS LENGTH in write keyboard desc, expected 5052, got 5056
BOGUS LENGTH in write keyboard desc, expected 5056, got 5060
(**) RADEON(0): RADEONDisplayPowerManagementSet(0,0x0)

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x81) [0x80c73e1]
1: [0xb7fa8420]
2: /usr/bin/X [0x815d552]
3: /usr/bin/X [0x815d81d]
4: /usr/bin/X [0x8159eff]
5: /usr/bin/X(CompositeGlyphs+0x9a) [0x81474fa]
6: /usr/bin/X [0x814d74d]
7: /usr/bin/X [0x814a505]
8: /usr/bin/X(Dispatch+0x19a) [0x80880da]
9: /usr/bin/X(main+0x485) [0x806fa65]
10: /lib/libc.so.6(__libc_start_main+0xdc) [0x8eaf2c]
11: /usr/bin/X(FontFileCompleteXLFD+0x1e9) [0x806eda1]

Fatal server error:
Caught signal 11.  Server aborting

(II) AIGLX: Suspending AIGLX clients for VT switch
(**) RADEON(0): RADEONLeaveVT
(**) RADEON(0): EngineRestore (32/32)
(**) RADEON(0): RADEONRestore
(**) RADEON(0): RADEONRestoreMode()
(**) RADEON(0): RADEONRestoreMode(0x8f8b3d0)
(**) RADEON(0): RADEONRestoreMemMapRegisters() :
(**) RADEON(0):   MC_FB_LOCATION   : 0x1fff0000
(**) RADEON(0):   MC_AGP_LOCATION  : 0x27ff2000
(**) RADEON(0):   Map Changed ! Applying ...
(**) RADEON(0):   Map applied, resetting engine ...
(**) RADEON(0): Updating display base addresses...
(**) RADEON(0): Memory map updated.
(**) RADEON(0): Programming CRTC1, offset: 0x00000000
(**) RADEON(0): Wrote: 0x0030000c 0x00030065 0x00000000 (0x0000a700)
(**) RADEON(0): Wrote: rd=12, fd=101, pd=3
(**) RADEON(0): Ok, leaving now...


Expected results:


Additional info:
Radeon 9550 with r300_dri
OpenGL vendor string: Tungsten Graphics, Inc.
OpenGL renderer string: Mesa DRI R300 20060815 AGP 4x x86/MMX+/3DNow!+ TCL
OpenGL version string: 1.3 Mesa 6.5.1
Comment 1 Kristian Høgsberg 2006-10-03 14:04:12 EDT
Please install the xorg-x11-server-debuginfo package and mesa-debuginfo packages
and reproduce the crash and post the resulting stack trace.

Also, what is yukuake, and is it possible to reproduce this crash with any of
the packages that is in Fedora Core?
Comment 2 Adrian "Adi1981" P. 2006-10-04 05:55:39 EDT
Don't know if I doing it right way... I've installed xorg-x11-server-debuginfo
and mesa-debuginfo, but when i reproduce this bug (today is much harder to
reproduce it, and it happens now only from time to time, not every time as it
was yesterday), i get only the same backtrace as earlier. I forget to paste
backtrace from Xorg.log (i was thinking it was the same as in kdm.log), so here
it is:

from Xorg.log

Backtrace:
0: X(xf86SigHandler+0x81) [0x80c73e1]
1: [0xfae420]
2: X [0x815d552]
3: X [0x815d81d]
4: X [0x8159eff]
5: X(CompositeGlyphs+0x9a) [0x81474fa]
6: X [0x814d74d]
7: X [0x814a505]
8: X(Dispatch+0x19a) [0x80880da]
9: X(main+0x485) [0x806fa65]
10: /lib/libc.so.6(__libc_start_main+0xdc) [0x3b3f2c]
11: X(FontFileCompleteXLFD+0x1e9) [0x806eda1]

Fatal server error:
Caught signal 11.  Server aborting

and from kdm.log:

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x81) [0x80c73e1]
1: [0xf60420]
2: /usr/bin/X [0x815d552]
3: /usr/bin/X [0x815d81d]
4: /usr/bin/X [0x8159eff]
5: /usr/bin/X(CompositeGlyphs+0x9a) [0x81474fa]
6: /usr/bin/X [0x814d74d]
7: /usr/bin/X [0x814a505]
8: /usr/bin/X(Dispatch+0x19a) [0x80880da]
9: /usr/bin/X(main+0x485) [0x806fa65]
10: /lib/libc.so.6(__libc_start_main+0xdc) [0x3b3f2c]
11: /usr/bin/X(FontFileCompleteXLFD+0x1e9) [0x806eda1]

Fatal server error:
Caught signal 11.  Server aborting

If I'm doing something wrong then let me know.
Yakuake is a KDE terminal emulator, if this is what you mean by saying "what is
yakuake" (http://yakuake.uv.ro). I've got yakuake-2.7.5-3.fc6 installed. I don't
know if this is possible to reproduce with every application, I get this with
seamonkey in background few times, with mplayer and with kmail. BUT one time I
had this crash with no application running transparently in background. I'll try
with others applications and without any app running, and give you know soon
Comment 3 Adrian "Adi1981" P. 2006-10-04 06:23:03 EDT
ok, it's doesn't matter if we have any application running. I can start only
yakuake, in yakuake start mc and start copying some files. Then I must hit F12
several times (if it won't crash, then copy files again, and again hit F12),
till it'll crash. It crashes only with transparency in KDE on, without it
everything is fine, there's no crashes. 
Comment 4 Bug Zapper 2008-04-03 14:25:36 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:55:32 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.